Bug 1283747 - UI: Form buttons and paging controls are missing in Reports explorer
UI: Form buttons and paging controls are missing in Reports explorer
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Dávid Halász
Nandini Chandra
:
: 1284075 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 12:31 EST by Harpreet Kataria
Modified: 2015-12-08 08:49 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:49:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harpreet Kataria 2015-11-19 12:31:32 EST
Description of problem: UI: Form buttons are missing on Reports editor


Version-Release number of selected component (if applicable):


How reproducible:100%


Steps to Reproduce:
1. Go To Reports explorer
2. Change accordion to Reports accordion
3. Try adding a new report, form buttons Add/Cancel are missing at the bottom of screen, same for Schedule editor

Actual results: Add/Cancel buttons are missing on Add Report/Schedule screens


Expected results: Form buttons should be visible


Additional info:
Comment 2 Harpreet Kataria 2015-11-19 12:33:38 EST
Paging controls on Saved Reprots/Schedules etc list views is missing too. Content height seems to be incorrect in miqInitMainContent function in app/assets/javascripts/miq_application.js
Comment 4 CFME Bot 2015-11-20 11:00:27 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/7c5b414d848dc1664f3831c79c9ab9fdb37009c4

commit 7c5b414d848dc1664f3831c79c9ab9fdb37009c4
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Nov 19 19:04:04 2015 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Thu Nov 19 19:04:04 2015 +0100

    Fixed showing of the bottom bar on form-related screens
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1283747

 app/assets/javascripts/miq_application.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 5 Harpreet Kataria 2015-11-20 13:23:11 EST
*** Bug 1284075 has been marked as a duplicate of this bug. ***
Comment 6 CFME Bot 2015-11-20 14:16:54 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=2074c39e0625558c732c99a42353c229099246db

commit 2074c39e0625558c732c99a42353c229099246db
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Nov 19 19:04:04 2015 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Fri Nov 20 18:38:19 2015 +0100

    Fixed showing of the bottom bar on form-related screens
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1283747
    Clean cherrypick from: https://github.com/ManageIQ/manageiq/pull/5520
    (cherry picked from commit 7c5b414d848dc1664f3831c79c9ab9fdb37009c4)

 app/assets/javascripts/miq_application.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 CFME Bot 2015-11-20 14:16:59 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=947c6d9545b31932260e10ce44719fcdab8e05ab

commit 947c6d9545b31932260e10ce44719fcdab8e05ab
Merge: c8262f2 2074c39
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Nov 20 13:52:57 2015 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Nov 20 13:52:57 2015 -0500

    Merge branch 'bz-1283747' into '5.5.z'
    
    Fixed showing of the bottom bar on form-related screens
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1283747
    Clean cherrypick from: https://github.com/ManageIQ/manageiq/pull/5520
    (cherry picked from commit 7c5b414d848dc1664f3831c79c9ab9fdb37009c4)
    
    See merge request !513

 app/assets/javascripts/miq_application.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 Nandini Chandra 2015-11-25 00:05:02 EST
Verified that Form buttons and paging controls are available in Reports explorer.

Verified in 5.5.0.12
Comment 10 errata-xmlrpc 2015-12-08 08:49:29 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.